// change_simple.cmd

// Some commands to move the chip in all three directions.
// For solder vertices, these commands linearly interpolate
// the motion in z between the pad and the chip. 
// Useful in tomb-A,B,C examples, and will work in D also.
// Note: It is important to check that these move commands do
// exactly what you want, especially on surfaces that you don't
// normally see, else the force calculations will be wrong.
// Doing "show facets where color == white" or 
// "show facets where color != white" before testing the moves will
// let you see inside.

new_x0 := x0
change_x0 := { change_dx := new_x0 - x0; x0 := new_x0;
               set vertex x x+change_dx where fixed and z > z0/2; // chip
               set vertex x x+change_dx*z/z0 where not fixed;  // solder
               recalc;
             }

new_y0 := y0
change_y0 := { change_dy := new_y0 - y0; y0 := new_y0;
               set vertex y y+change_dy where fixed and z > z0/2;
               set vertex y y+change_dy*z/z0 where not fixed;
               recalc;
             }
new_z0 := z0
change_z0 := { change_dz := new_z0 - z0; old_z0 := z0; z0 := new_z0;
               set vertex z z+change_dz where fixed and z > old_z0/2;
               set vertex z z+change_dz*z/old_z0 where not fixed;
               recalc;
             }

